<wrapper [class]='myClass'>
  <div *ngIf="!isAuthenticated" class="container-fluid  mt-top">
    <div class="row pt-4 background-default">
      <div class="col-4 min-heigth"></div>
      <div class="col-4 pt-5 background-default">
        <div   class="card">
          <p class="text-center h3 pt-5 mb-4">Login</p>
          <form class="text-center" [formGroup]="loginForm" novalidate (ngSubmit)="login(loginForm.value)">
            <div class="row">
              <div class="col-1"></div>
              <div class="col-10">
                <mat-form-field class="full-width">
                  <input matInput type="email" placeholder="Email" formControlName="email" required>
                </mat-form-field>
                <mat-form-field class="full-width mb-3">
                  <input matInput [type]="show ? 'text' : 'password'" placeholder="Password" formControlName="password" (keyup.enter)="login(loginForm.value)" required>
                  <mat-icon matSuffix (click)="show = !show">{{show ? 'visibility_off' : 'visibility'}}</mat-icon>
                </mat-form-field>
                <button class="mb-2" color="orange" mat-raised-button type="submit" [disabled]="!loginForm.valid">
                  Login
                  <i class="fa fa-sign-in-alt ml-1"></i>
                </button>
              </div>
              <div class="col-1"></div>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</wrapper>
